me.legofreak107.vehiclesplus.vehicles.api.events

## Class ClickVehicleEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - me.legofreak107.vehiclesplus.vehicles.api.events.ClickVehicleEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class ClickVehicleEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`ClickVehicleEvent(SpawnedVehicle vehicle, org.bukkit.entity.Player clicker)` This event is triggered when a player clicks a vehicle

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.bukkit.entity.Player` `getClicker()`
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`SpawnedVehicle` `getVehicle()`
`boolean` `isCancelled()`
`void` `setCancelled(boolean cancelled)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickVehicleEvent

    public ClickVehicleEvent(SpawnedVehicle vehicle,
                             org.bukkit.entity.Player clicker)

This event is triggered when a player clicks a vehicle

Parameters:
  `vehicle` - the vehicle that is being clicked on
  `clicker` - the player that clicked the vehicle

### Method Detail

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getVehicle

    public SpawnedVehicle getVehicle()

#### getClicker

    public org.bukkit.entity.Player getClicker()

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean cancelled)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`